Package: groovy.transform

## [Java] Annotation Type PropertyOptions

- groovy.transform.PropertyOptions

-     @Documented
      @Retention(RetentionPolicy.SOURCE)
      @Target(ElementType.TYPE)
      public @interface PropertyOptions

  Marker annotation used to indicate that special property handling code will be generated for this class.

  See Also:
    Immutable
    ImmutableBase
    MapConstructor
    TupleConstructor
  Since:
    2.5.0

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `Class<? extends PropertyHandler>` | `propertyHandler` The property handler class which creates the necessary code for getting, setting or initializing properties.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public Class<? extends PropertyHandler> propertyHandler

      The property handler class which creates the necessary code for getting, setting or initializing properties.

      Default:
        DefaultPropertyHandler.class